local LC = {
	Event = {},
	Data = {playerID = "",}
	
}

function LC.Event.LoadEnd(identifier)
	if identifier == "LightningCrits" then
		LC.Data.playerID = Inspect.Unit.Lookup("player")
		
		print("LightningCrits loaded. /LC")
	end
end

function LC.Event.SlashHandler(str)
	
	local cmd, arg = string.match(str, "(%a+) ?(.*)")

		print("Slash Commands:")
		
	end

	

	
	
-- start frames
local main = UI.CreateContext("UI")

local activeSplatter = {}
local zombieSplatter = {}
math.randomseed(Inspect.Time.Real())

local function AddSplatter() 
  local blood = table.remove(zombieSplatter)
  if not blood then
 
    blood = UI.CreateFrame("Texture", "Blood", main)
    blood:SetWidth(800)
	blood:SetHeight(800)
	
end

-- Pick texture
math.randomseed(Inspect.Time.Real())
local picnum = math.random(12)
--print("blood chosen"..picnum)

picnum = tostring(picnum)..".PNG"

blood:SetTexture("LightningCrits", picnum)
--Pick location
local X = math.random(-250, 250)
local Y = -200
blood:SetPoint("CENTER", UIParent, "CENTER", X,Y)
--print("Location chosen".. X .." - ".. Y)

	table.insert(activeSplatter, blood)
  
  -- Show the blood 
  blood:SetAlpha(1)
  blood:SetVisible(true)
  --print("Table Status: Used: "..table.getn(activeSplatter).." Unused: "..table.getn(zombieSplatter))
  end

-------

	
   	function LC.Event.Damage(info)
	if info.caster == LC.Data.playerID and info.crit then
	--print("crit")
	AddSplatter()
	end

	end

local lastCall = Inspect.Time.Real()

function fade()
local now = Inspect.Time.Real()
	if (now<lastCall+.05) then 
		return
	end

	for i,v in pairs(activeSplatter) do
		
	
if (v:GetAlpha() > 0) then
v:SetAlpha(v:GetAlpha()-.1)
v:SetVisible(not v:GetVisible())
else 
v:SetVisible(false)
v:SetAlpha(1)
local move = table.remove(activeSplatter, i)
table.insert (zombieSplatter, move)
--print("Table Status: Used: "..table.getn(activeSplatter).." Unused: "..table.getn(zombieSplatter))
end
end
lastCall = now
end	
	
	
	
	
table.insert(Event.Combat.Damage, {LC.Event.Damage, "LightningCrits", "Damage" })
table.insert(Event.System.Update.Begin, {fade, "LightningCrits", "Fade"})
table.insert(Event.Addon.Load.End, 				{LC.Event.LoadEnd, 			"LightningCrits", "Init"})
table.insert(Command.Slash.Register("LC"), 		{LC.Event.SlashHandler, 	"LightningCrits", "SlLCh"})